de.dhbwstuttgart.syntaxtree

## Class Interface

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.GTVDeclarationContext
    - - de.dhbwstuttgart.syntaxtree.ClassOrInterface
      - - de.dhbwstuttgart.syntaxtree.Interface

All Implemented Interfaces:
  AClassOrInterface, IItemWithOffset, Generic, GenericTypeInsertable

    public class Interface
    extends Class

Ein Interface ist eine abstrakte Klasse, erbt daher von Class

Author:
  janulrich

### Field Summary

### Fields inherited from class de.dhbwstuttgart.syntaxtree.Class

`inferencelog, isFirstLocalVarDecl, modifiers, name, pkgName, superclassid, typinferenzLog`

### Constructor Summary

Constructors
Constructor and Description
`Interface(java.lang.String name, int offset)`
`Interface(java.lang.String name, Modifiers modifiers, int offset)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Menge` `getParaList()`
`void` `setInterfaceBody(InterfaceBody interfaceBody)`
`void` `setParaList(Menge<Type> paraMenge)`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.Class

`addField, does_Class_extend, equals, get_class_block, get_ParaHash, get_ParaList, get_Superclass_Name, getAccessFlags, getChildren, getContainedTypes, getDescription, getFields, getGenericParameter, getGenericVarDeclarationOffset, getGenericVarDeclarationString, getModifiers, getName, getOffset, getPackageName, getParent, getPublicFieldAssumptions, getSimpleName, getSuperClass, getSuperInterfaces, getType, getTypeInformation, getUsedIdsToCheck, getVariableLength, isClass, parserPostProcessing, printJavaCode, set_class_block, set_ClassBody, set_ParaHash, set_UsedId, setContainedTypes, setGenericParameter, setModifiers, setName, setPackageName, setSuperInterfaces, toString, typeReconstruction, wandleRefTypeAttributes2GenericAttributes`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.GTVDeclarationContext

`getGTVDeclarationContext`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`addTypeInsertPoints, getMatchingParentNode, getParentClass, seesType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Interface

    public Interface(java.lang.String name,
                     int offset)

#### Interface

    public Interface(java.lang.String name,
                     Modifiers modifiers,
                     int offset)

### Method Detail

#### getParaList

    public Menge getParaList()

#### setInterfaceBody

    public void setInterfaceBody(InterfaceBody interfaceBody)

#### setParaList

    public void setParaList(Menge<Type> paraMenge)